1. h2oz3d's Avatar
    Hey all,

    Recently my Bold 9650 suffered what I've diagnosed as irreparable water damage. I've tried all the popular online remedies to no avail. The rep at the local Verizon store told me I had two options: pay a $99 deductible and have a refurbed 9650 overnighted to me or buy a new phone on my existing contract. Among the one's he suggested was the 9900.

    Let's say I pick the 9900. A big reason I loved the 9650 was the simplicity of the OS (I ran 5.0 on my first Bold and downgraded back to it on my second, the 9650, as soon as I got it).

    How old of an OS can the 9900 support? Can it be downgraded all the way back to 5.0?

    Thanks.


    tl;dr --- Can the 9900 run the 5.0 OS? How far back can it be downgraded?
    03-01-12 05:22 PM
  2. Phill_UK's Avatar
    The 9900 will only run on OS7 or 7.1
    03-01-12 05:58 PM
  3. byul's Avatar
    OS7/7.1's blows away OS5+.
    03-01-12 06:00 PM
  4. SwitchBeach's Avatar
    Also, if you are using the device on Verizon in the US, you need the 9930 and not the 9900.
    03-01-12 06:01 PM
  5. h2oz3d's Avatar
    Thanks, all. I was afraid of that. Better to ask than find out later.
    03-01-12 06:07 PM
LINK TO POST COPIED TO CLIPBOARD